---
title: MediaElementAudioSourceNode()
slug: Web/API/MediaElementAudioSourceNode/MediaElementAudioSourceNode
tags:
  - API
  - Audio
  - Constructor
  - MediaElementAudioSourceNode
  - Reference
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p>The <code><strong>MediaElementAudioSourceNode()</strong></code> constructor creates a new {{domxref("MediaElementAudioSourceNode")}} object instance.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myAudioSource = new MediaElementAudioSourceNode(<em>context</em>, <em>options</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>Inherits parameters from the </em><em>{{domxref("AudioNodeOptions")}} dictionary</em>.</p>

<dl>
 <dt><em>context</em></dt>
 <dd>An {{domxref("AudioContext")}} representing the audio context you want the node to be associated with.</dd>
 <dt><em>options</em></dt>
 <dd>A <code>MediaElementAudioSourceOptions</code> dictionary object defining the properties you want the <code>MediaElementAudioSourceNode</code> to have:
 <ul>
  <li><code>mediaElement</code>: An {{domxref("HTMLMediaElement")}} that will be used as the source for the audio.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("MediaElementAudioSourceNode")}} object instance.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var ac = new AudioContext();
var mediaElement = document.createElement('audio');

var options = {
  mediaElement : mediaElement
}

var myAudioSource = new MediaElementAudioSourceNode(ac, options);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#mediaelementaudiosourcenode','MediaElementAudioSourceNode')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaElementAudioSourceNode.MediaElementAudioSourceNode")}}</p>
